///////////////////////////////////////////////////////////////////////////////
// Project:     M - cross platform e-mail GUI client
// File name:   include/MpersIds.h
// Purpose:     all persistent message box ids
// Author:      Vadim Zeitlin
// Modified by:
// Created:     06.03.02
// CVS-ID:      $Id: MpersIds.h,v 1.22 2006/04/08 19:06:13 vadz Exp $
// Copyright:   (c) 2002 Vadim Zeitlin <zeitlin@dptmaths.ens-cachan.fr>
// Licence:     M license
///////////////////////////////////////////////////////////////////////////////

// this file is not intended to be included by any other files except Mpers.cpp
#ifndef DECL_OR_DEF
   #error "This file should not be included!"
#endif

// the order of declarations/definitions of the MPersMsgBox objects and the
// array in Mpers.cpp must be kept in sync!
DECL_OR_DEF(ASK_SPECIFY_DIR);
#ifdef OS_UNIX
DECL_OR_DEF(ASK_RUNASROOT);
#endif
DECL_OR_DEF(SEND_OUTBOX_ON_EXIT);
DECL_OR_DEF(ABANDON_CRITICAL);
DECL_OR_DEF(GO_ONLINE_TO_SEND_OUTBOX);
DECL_OR_DEF(FIX_TEMPLATE);
DECL_OR_DEF(ASK_FOR_SIG);
DECL_OR_DEF(ASK_SAVE_HEADERS);
DECL_OR_DEF(MESSAGE_SENT);
DECL_OR_DEF(ASK_FOR_EXT_EDIT);
DECL_OR_DEF(MIME_TYPE_CORRECT);
DECL_OR_DEF(CONFIG_NET_FROM_COMPOSE);
DECL_OR_DEF(SEND_EMPTY_SUBJECT);
DECL_OR_DEF(CONFIRM_FOLDER_REMOVE);
DECL_OR_DEF(CONFIRM_FOLDER_DELETE);
DECL_OR_DEF(MARK_READ);
#ifdef USE_DIALUP
DECL_OR_DEF(DIALUP_CONNECTED_MSG);
DECL_OR_DEF(DIALUP_DISCONNECTED_MSG);
DECL_OR_DEF(DIALUP_ON_OPEN_FOLDER);
DECL_OR_DEF(NET_DOWN_OPEN_ANYWAY);
DECL_OR_DEF(NO_NET_PING_ANYWAY);
#endif // USE_DIALUP
DECL_OR_DEF(CONFIRM_EXIT);
DECL_OR_DEF(ASK_LOGIN);
DECL_OR_DEF(ASK_PWD);
DECL_OR_DEF(SAVE_PWD);
DECL_OR_DEF(GO_OFFLINE_SEND_FIRST);
DECL_OR_DEF(OPEN_UNACCESSIBLE_FOLDER);
DECL_OR_DEF(CHANGE_UNACCESSIBLE_FOLDER_SETTINGS);
DECL_OR_DEF(ASK_URL_BROWSER);
DECL_OR_DEF(OPT_TEST_ASK);
DECL_OR_DEF(WARN_RESTART_OPT);
DECL_OR_DEF(SAVE_TEMPLATE);
DECL_OR_DEF(DELETE_TEMPLATE);
DECL_OR_DEF(MAIL_NO_NET_QUEUED_MESSAGE);
DECL_OR_DEF(MAIL_QUEUED_MESSAGE);
DECL_OR_DEF(MAIL_SENT_MESSAGE);
DECL_OR_DEF(TEST_MAIL_SENT);
DECL_OR_DEF(ADB_DELETE_ENTRY);
DECL_OR_DEF(CONFIRM_ADB_IMPORTER);
DECL_OR_DEF(MODULES_WARNING);
DECL_OR_DEF(BBDB_SAVE_DIALOG);
DECL_OR_DEF(FOLDER_GROUP_HINT);
DECL_OR_DEF(SIGNATURE_LENGTH);
DECL_OR_DEF(REMEMBER_PWD);
DECL_OR_DEF(KEEP_PWD);
DECL_OR_DEF(SHOWLOGWINHINT);
DECL_OR_DEF(AUTOEXPUNGE);
DECL_OR_DEF(SUSPENDAUTOCOLLECT);
#if 0
DECL_OR_DEF(RULESMISMATCHWARN)1;
DECL_OR_DEF(RULESMISMATCHWARN)2;
#endif
DECL_OR_DEF(FILTER_REPLACE);
DECL_OR_DEF(ADD_ALL_SUBFOLDERS);

DECL_OR_DEF(OPT_STOREREMOTENOW);
DECL_OR_DEF(OPT_GETREMOTENOW);
DECL_OR_DEF(OVERWRITE_REMOTE);
DECL_OR_DEF(RETRIEVE_REMOTE);
DECL_OR_DEF(STORE_REMOTE);
DECL_OR_DEF(CONFIG_SAVED_REMOTELY);

DECL_OR_DEF(EXPLAIN_GLOBALPASSWD);
DECL_OR_DEF(FILTER_NOT_USED_YET);
DECL_OR_DEF(FILTER_CONFIRM_OVERWRITE);
DECL_OR_DEF(IMPORT_FOLDERS_UNDER_ROOT);
DECL_OR_DEF(MOVE_EXPUNGE_CONFIRM);
DECL_OR_DEF(APPLY_QUICK_FILTER_NOW);
DECL_OR_DEF(BROWSE_IMAP_SERVERS);
DECL_OR_DEF(GFX_NOT_INLINED);
DECL_OR_DEF(EDIT_FOLDER_ON_OPEN_FAIL);
DECL_OR_DEF(EXPLAIN_COLUMN_CLICK);
#ifdef USE_VIEWER_BAR
DECL_OR_DEF(VIEWER_BAR_TIP);
#endif // USE_VIEWER_BAR

DECL_OR_DEF(EMPTY_TRASH_ON_EXIT);
DECL_OR_DEF(SEND_OFFLINE);
DECL_OR_DEF(ASK_VCARD);

DECL_OR_DEF(REENABLE_HINT);
DECL_OR_DEF(DRAFT_SAVED);
DECL_OR_DEF(DRAFT_AUTODELETE);

DECL_OR_DEF(CONFIRM_RESEND);
DECL_OR_DEF(CONFIRM_ZAP);
DECL_OR_DEF(ZAP_SPAM);

DECL_OR_DEF(REMEMBER_PGP_PASSPHRASE);
DECL_OR_DEF(GET_PGP_PUBKEY);

DECL_OR_DEF(SEARCH_AGAIN_IF_NO_MATCH);

DECL_OR_DEF(USE_FOLDER_CREATE_WIZARD);
DECL_OR_DEF(FORMAT_PARAGRAPH_BEFORE_EXIT);
DECL_OR_DEF(CONT_UPDATE_AFTER_ERROR);
DECL_OR_DEF(REMOVE_ALL_ATTACH);
DECL_OR_DEF(SEND_DIFF_ENCODING);
DECL_OR_DEF(OPEN_ANOTHER_COMPOSER);
DECL_OR_DEF(CHECK_FORGOTTEN_ATTACHMENTS);

DECL_OR_DEF(MAX);

