###############################################################################
# Project:     M
# File name:   lib/dspam/Makefile.M
# Purpose:     makefile for dspam library
# Author:      Vadim Zeitlin
# Modified by:
# Created:     2004-07-08
# CVS-ID:      $Id: Makefile.M,v 1.8 2006/05/03 17:18:01 vadz Exp $
# Copyright:   (c) 2004 Vadim Zeitlin <vadim@wxwindows.org>
# Licence:     M license
###############################################################################

include ../../makeopts

CPPFLAGS+=-DHAVE_CONFIG_H -DCONFIG_DEFAULT=NULL -DDSPAM_HOME_NO_DATA \
           -I. -I.src $(SHARED_CFLAGS)


OBJECTS=\
	libdspam.o \
	tbt.o \
	lht.o \
	base64.o \
	buffer.o \
	util.o \
	nodetree.o \
	error.o \
	decode.o \
	config_shared.o \
	bnr.o \
	sqlite_drv.o

LIBRARY=libdspam.a
CONFIG=auto-config.h

all:	$(LIBRARY)
	@true

include ../../makerules $(wildcard *.d)

$(LIBRARY):	$(OBJECTS)
	ar rc $(LIBRARY) $(OBJECTS)
	-ranlib $(LIBRARY)

$(CONFIG): .src/$(CONFIG).in
	@cd .src && chmod +x autogen.sh config.guess config.sub configure depcomp install-sh missing
	@# dspam can't always detect delivery agent automatically, as we don't
	@# use it anyhow just choose a dummy one
	.src/configure --with-delivery-agent=/bin/false -C

$(OBJECTS): $(CONFIG)

clean:
	rm -f $(OBJECTS) $(LIBRARY) $(OBJECTS:.o=.d) $(CONFIG)

.PHONY: all clean
