File:		lib/imap/README.M
Summary:	contains instructions for developers concerning imap library
Audience:	Mahogany developers
Author:		Vadim Zeitlin <vadim@wxwindows.org>
Version:	$Id: README.M,v 1.1 2004/06/27 18:19:32 vadz Exp $
Version:	the information in this file applies to the cvs sources


0. Introduction
---------------

Mahogany uses a slightly modified version of imap (ex-"c-client") toolkit by
Mark Crispin and University of Washington. This directory contains our copy of
it as well as our makefiles to integrate it in our build system and, finally,
this file with some brief instructions for performing common tasks related to
it.


1. Patching c-client
--------------------

Patching c-client should be avoided if possible, as it increases maintenance
problems and decreases the chance that we can ever use the official version of
the library. However if this is to be done, please mark the changed parts of
the code with "/*** MAHOGANY PATCH ***/" comment (and possibly matching
"/*** END OF MAHOGANY PATCH ***/" one if you changed a whole block of code).

To see the difference with the official sources you can do "cvs diff -rUW_IMAP"
in this directory.


2. Updating c-client
--------------------

1. get the imap-x.y.tar.Z release from ftp.cac.washington.edu/mail
   (where x.y are the version, x is 2000-something in current scheme)
2. unpack it and enter the directory imap-x.y
3. run

    cvs -d:ext:vadz@cvs.sourceforge.net:/cvsroot/mahogany import
         -m "import of imap x.y snapshot" M/lib/imap UW_IMAP UW_IMAP_x_y

   (UW_IMAP_x_y will be the tag assigned to this release in the cvs)
4. resolve the conflicts with the sources modified since last release:
   go to M/lib/imap and run "cvs up -jUW_IMAP:yesterday -jUW_IMAP_x_y"
   (assuming the last update was before yesterday, otherwise use the tag)
5. do "cvs ci" if any files are locally modified after the merge
